//
// Copyright 2016 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 
package de.frankmuenster.jameica.orverw.gui.action;

import de.frankmuenster.jameica.orverw.Settings;
import de.frankmuenster.jameica.orverw.parts.labelpart.LabelSizeEnum;
import de.frankmuenster.jameica.orverw.gui.dialog.NeuerOrdnerDialog;
import de.frankmuenster.jameica.orverw.gui.views.OrdnerBearbeitenView;
import de.willuhn.jameica.gui.Action;
import de.willuhn.jameica.gui.GUI;
import de.willuhn.jameica.system.OperationCanceledException;
import de.willuhn.logging.Logger;
import de.willuhn.util.ApplicationException;
import de.willuhn.util.I18N;

/**
 * @author munstfr
 * 
 */
public class OrdnerNewAction implements Action {

	/**
	 * Unser &Uuml;bersetzer
	 */
	private final static I18N I18N = Settings.getI18n();

	/**
	 * Standart-Konstruktor
	 */
	public OrdnerNewAction() { // NOPMD
		// Absichtlich leer gelassen
	}

	/**
	 * @see de.willuhn.jameica.gui.Action#handleAction(java.lang.Object)
	 */
	@Override
	public void handleAction(Object context) throws ApplicationException { // NOPMD
		Logger.warn("Neuen Ordner anlegen");
		handleAdd();

	}

	/**
	 * @throws ApplicationException
	 * 
	 */
	private void handleAdd() throws ApplicationException {

		final NeuerOrdnerDialog dialog = new NeuerOrdnerDialog();
		LabelSizeEnum size;

		try {
			size = (LabelSizeEnum) dialog.open(); // NOPMD
			if (size != null) {
				GUI.startView(OrdnerBearbeitenView.class, size);
			}
		} catch (OperationCanceledException oce) {
			Logger.info("Erstellen eines neuen Ordner vom Benutzer abgebrochen.");
		} catch (Exception e) { // NOPMD
			throw new ApplicationException(
					I18N.tr("Creating NeuerOrdnerDialog failed"), e);
		}
	}
}
