//
// Copyright 2016 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 
package de.frankmuenster.jameica.orverw.gui.action;


import de.frankmuenster.jameica.orverw.Settings;
import de.frankmuenster.jameica.orverw.gui.dialog.AboutDialog;
import de.willuhn.jameica.gui.Action;
import de.willuhn.jameica.gui.dialogs.AbstractDialog;
import de.willuhn.logging.Logger;
import de.willuhn.util.ApplicationException;

/**
 * Action handler fr starten eines neuen AboutDialog Dialog Fensters
 * Implements {@link de.willuhn.jameica.gui.Action}
 * 
 * @author munstfr
 * @version 1.0
 *
 */
public class ViewAboutAction implements Action {
	
	/**
	 * Unser &Uuml;bersetzer
	 */
	private final static de.willuhn.util.I18N I18N = Settings.getI18n();

	/**
	 * Standart Konstruktor
	 */
	public ViewAboutAction() { // NOPMD
		// This constructor is intentionally empty. Nothing special is needed
		// here.
	}
	
	/**
	 * @see de.willuhn.jameica.gui.Action#handleAction(java.lang.Object)
	 */
	@Override
	public void handleAction(final Object context) throws ApplicationException {
		try {
			new AboutDialog(
					AbstractDialog.POSITION_CENTER).open();
		} catch (ApplicationException ae) { // NOPMD
			throw ae;
		} catch (Exception e) { // NOPMD
			Logger.error("error while opening about dialog", e);
			throw new ApplicationException(I18N.tr(
					"Error while opening the About dialog"), e);
		}
	}

}
