//
// Copyright 2016 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 
package de.frankmuenster.jameica.orverw.gui.action;

import java.util.ArrayList;
import java.util.List;

import de.frankmuenster.jameica.orverw.Settings;
import de.frankmuenster.jameica.orverw.db.rmi.Ordner;
import de.frankmuenster.jameica.orverw.gui.dialog.PrintDialog;
import de.willuhn.jameica.gui.Action;
import de.willuhn.jameica.system.OperationCanceledException;
import de.willuhn.util.ApplicationException;
import de.willuhn.util.I18N;

/**
 * @author munstfr
 * 
 */
public class ViewPrintDialogDialog implements Action {

	/**
	 * Unser &Uunl;bersetzer
	 */
	private final static I18N I18N = Settings.getI18n();

	/**
	 * Standart-Kostruktor
	 */
	public ViewPrintDialogDialog() { // NOPMD
		// intentionally left blank;
	}

	/**
	 * @see de.willuhn.jameica.gui.Action#handleAction(java.lang.Object)
	 */
	@Override
	public void handleAction(final Object context) throws ApplicationException { // NOPMD

		if (context == null || !(context instanceof Ordner)
				&& !(context instanceof Ordner[])) {
			throw new ApplicationException(
					I18N.tr("Please choose a folder(s) you want to print"));
		}

		final List<Ordner> ordnerList = new ArrayList<>();
		if (context instanceof Ordner) {
			ordnerList.add((Ordner) context);
		} else {
			for (final Ordner ordner : (Ordner[]) context) {
				ordnerList.add(ordner);
			}

		}
		try {
			final PrintDialog printDialog = new PrintDialog(ordnerList);
			printDialog.open();
		} catch (OperationCanceledException e) { // NOPMD
			// Hier machen wir nix :-)
		} catch (Exception e) { // NOPMD
			throw new ApplicationException("Error opening PrintDialog", e);
		}

	}

}
