//
// Copyright 2016 frankmuenster.de
//  
// Lizenziert unter der EUPL, Version 1.1 oder - sobald diese von der
// Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
// ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
//  
// http://ec.europa.eu/idabc/eupl
//  
// Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
// schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
// "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
// Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
//  entnehmen.
// 

package de.frankmuenster.jameica.orverw.gui.dialog;

import org.eclipse.swt.SWT;
import org.eclipse.swt.custom.CLabel;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;

import de.frankmuenster.jameica.orverw.OrdnerVerwaltung;
import de.frankmuenster.jameica.orverw.Settings;
import de.willuhn.jameica.gui.Action;
import de.willuhn.jameica.gui.dialogs.AbstractDialog;
import de.willuhn.jameica.gui.parts.ButtonArea;
import de.willuhn.jameica.gui.parts.FormTextPart;
import de.willuhn.jameica.gui.util.Container;
import de.willuhn.jameica.gui.util.LabelGroup;
import de.willuhn.jameica.gui.util.SWTUtil;
import de.willuhn.jameica.gui.util.SimpleContainer;
import de.willuhn.jameica.plugin.AbstractPlugin;
import de.willuhn.jameica.system.Application;
import de.willuhn.util.ApplicationException;

/**
 * "AboutDialog..." Dialog.
 * 
 * @author munstfr
 * @version 1.0
 * 
 */
public class AboutDialog extends AbstractDialog<Object> {

	/**
	 * Unser &Uuml;bersetzer
	 */
	private final static de.willuhn.util.I18N I18N = Settings.getI18n();

	/**
	 * Plugin Objekt
	 */
	private final static AbstractPlugin PLUGIN = Application.getPluginLoader()
			.getPlugin(OrdnerVerwaltung.class);

	/**
	 * Liefert einen modalen Dialog, der mittels .open() angezeigt werden kann
	 * 
	 * @param position
	 *            die Position, an der der Dialog angezeigt werden soll.
	 *            Mgliche Werte sind POSITION_MOUSE und POSITION_CENTER.
	 */
	public AboutDialog(final int position) {

		super(position);

		this.setTitle(I18N.tr("About..."));
		this.setPanelText(I18N.tr("Ordner Verwaltung {0}", PLUGIN.getManifest()
				.getVersion().toString()));
	}

	/**
	 * @see de.willuhn.jameica.gui.dialogs.AbstractDialog#getData()
	 */
	@Override
	protected Object getData() { 
		return null;
	}

	/**
	 * @see de.willuhn.jameica.gui.dialogs.AbstractDialog#paint(org.eclipse.swt.widgets.Composite)
	 */
	@Override
	protected void paint(final Composite parent) { 

		final Container image = new SimpleContainer(parent, false, 2);
		final GridLayout glImage = new GridLayout();
		glImage.numColumns = 2;
		image.getComposite().setLayout(glImage);
		final CLabel imageLabel = new CLabel(image.getComposite(), SWT.NONE);
		final GridData gdImage = new GridData();
		gdImage.grabExcessHorizontalSpace = true;
		gdImage.horizontalAlignment = SWT.RIGHT;
		gdImage.horizontalSpan = 2;

		imageLabel.setImage(SWTUtil.getImage("ordner_about.png"));
		//imageLabel.setLeftMargin(20);
		//imageLabel.setRightMargin(20);
		imageLabel.setMargins(30, 10, 15, 30);

		final Container container = new LabelGroup(parent,
				I18N.tr("Version Info"), true);

		final FormTextPart text = new FormTextPart();
		text.setText("<form>"
				+ "<p><b>Ordner Verwaltung - Plugin fr Jameica</b></p>"
				+ "<p>Lizenz: EUPL [<a href=\"http://ec.europa.eu/idabc/eupl\">"
				+ "http://ec.europa.eu/idabc/eupl</a>]<br/>"
				+ "Copyright by Frank Mnster [<a href=\"mailto:"
				+ "jameica@frankmuenster.de\">jameica@frankmuenster.de</a>]<br/>"
				+ "<a href=\"http://progs.frankmuenster.de/jameica-oderner-verwaltung/\">"
				+ "http://progs.frankmuenster.de/jameica-ordner-verwaltung</a><br /></p>"
				+ "<p>Software-Version: " + PLUGIN.getManifest().getVersion()
				+ "<br/>" + "Build: " + PLUGIN.getManifest().getBuildnumber()
				+ " [Datum " + PLUGIN.getManifest().getBuildDate() + "]</p>"
				// + "<p>" + webCamText + "</p>"
				+ "</form>");
		container.addPart(text);

		final ButtonArea buttons = new ButtonArea();
		buttons.addButton(I18N.tr("Close"), new Action() {
			/**
			 * @see de.willuhn.jameica.gui.Action#handleAction(java.lang.Object)
			 */
			@Override
			public void handleAction(final Object context) 
					throws ApplicationException {
				close();
			}
		}, null, true, "window-close.png");

		container.addButtonArea(buttons);

		setSize(360, 520);
	}

}
