//
// Copyright 2016 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
//
package de.frankmuenster.jameica.orverw.gui.menu;

import de.frankmuenster.jameica.orverw.Settings;
import de.frankmuenster.jameica.orverw.gui.action.OrdnerDeleteAction;
import de.frankmuenster.jameica.orverw.gui.action.OrdnerNewAction;
import de.frankmuenster.jameica.orverw.gui.action.OrdnerOpenAction;
import de.frankmuenster.jameica.orverw.gui.action.ViewPrintDialogDialog;
import de.willuhn.jameica.gui.parts.CheckedContextMenuItem;
import de.willuhn.jameica.gui.parts.ContextMenu;
import de.willuhn.jameica.gui.parts.ContextMenuItem;

/**
 * Kontextmen&uuml; der Ordnertablle
 * 
 * @author munstfr
 * @version 1.0
 * 
 */
public class OrdnerTableMenu extends ContextMenu {

	/**
	 * Konstruktor f&uuml;r das Kontextmen&uuml; der Ordnertablle
	 */
	public OrdnerTableMenu() {

		super();

		// CheckedContextMenuItems will be disabled, if the user clicks into
		// an empty space of the table

		addItem(new CheckedContextMenuItem(Settings.getI18n().tr("Open"),
				new OrdnerOpenAction(), "folder-open.png"));
		addItem(new CheckedContextMenuItem(Settings.getI18n().tr("Delete"),
				new OrdnerDeleteAction(), "window-close.png"));
		// separator
		addItem(ContextMenuItem.SEPARATOR);
		addItem(new ContextMenuItem(Settings.getI18n().tr("Add new"),
				new OrdnerNewAction(), "document-new.png"));
		addItem(ContextMenuItem.SEPARATOR);
		addItem(new CheckedContextMenuItem(Settings.getI18n().tr("Print"),
				new ViewPrintDialogDialog(), "document-print.png"));

	}

}
