/*
 * Copyright 2016 frankmuenster.de
 * 
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 * 
 * http://ec.europa.eu/idabc/eupl
 * 
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 */

package de.frankmuenster.jameica.orverw.gui.views;

import java.rmi.RemoteException;

import de.frankmuenster.jameica.orverw.Settings;
import de.frankmuenster.jameica.orverw.gui.controller.LicenseControl;
import de.willuhn.jameica.gui.AbstractView;
import de.willuhn.jameica.gui.GUI;
import de.willuhn.jameica.gui.Part;

/**
 * View die Lizenz-Informationen anzeigt Basiert auf der LicenseView aus dem
 * Hibiscus-Plugin von Olaf Willuhn
 * 
 * @author munstfr
 * @version 1.0
 * 
 */
public class LicenseView extends AbstractView {
	
	/**
	 * Standartkonstruktor
	 */
	@SuppressWarnings("PMD.UnnecessaryConstructor")
	public LicenseView() {
		super();
	}

	/**
	 * @see de.willuhn.jameica.gui.AbstractView#bind()
	 */
	@Override
	public void bind() throws RemoteException {
		GUI.getView().setTitle(Settings.getI18n().tr("License information"));

		final LicenseControl ctrl = new LicenseControl(this);
		final Part lib = ctrl.getLibList();
		lib.paint(getParent());
	}

}
