/**********************************************************************
 * $Source: /cvsroot/jameica/jameica_exampleplugin/src/de/willuhn/jameica/example/gui/view/Welcome.java,v $
 * $Revision: 1.3 $
 * $Date: 2010-11-09 17:20:16 $
 * $Author: willuhn $
 * $Locker:  $
 * $State: Exp $
 *
 * Copyright (c) by willuhn.webdesign
 * All rights reserved
 *
 **********************************************************************/

package de.frankmuenster.jameica.orverw.gui.views;

//import de.willuhn.jameica.example.Settings;
import java.util.List;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.TabFolder;

import de.frankmuenster.jameica.orverw.Settings;
import de.frankmuenster.jameica.orverw.gui.controller.OrdnerBearbeitenController;
import de.frankmuenster.jameica.orverw.gui.input.ToolTipButton;
import de.willuhn.jameica.gui.AbstractView;
import de.willuhn.jameica.gui.GUI;
import de.willuhn.jameica.gui.View;
import de.willuhn.jameica.gui.parts.ButtonArea;
import de.willuhn.jameica.gui.util.Color;
import de.willuhn.jameica.gui.util.ScrolledContainer;
import de.willuhn.jameica.gui.util.SimpleContainer;
import de.willuhn.jameica.gui.util.TabGroup;
import de.willuhn.util.ApplicationException;
import de.willuhn.util.I18N;

/**
 * View zum Bearbeiten eines Ordners
 * 
 * @author munstfr
 * @version 1.0
 */
public class OrdnerBearbeitenView extends AbstractView {

	/**
	 * Unser &Uuml;bersetzer
	 */
	private final static I18N I18N = Settings.getI18n();

	/**
	 * Unser Standartkonstruktor
	 */
	@SuppressWarnings("PMD.UnnecessaryConstructor")
	public OrdnerBearbeitenView() {
		super();
		// Intentionally left blank
	}

	/**
	 * this method will be invoked when starting the view.
	 * 
	 * @see de.willuhn.jameica.gui.AbstractView#bind()
	 */
	@SuppressWarnings({ "PMD.SignatureDeclareThrowsException",
			"PMD.DataflowAnomalyAnalysis" })
	public void bind() throws Exception {

		final View view = GUI.getView();
		final OrdnerBearbeitenController controller = new OrdnerBearbeitenController(
				this);

		if (controller.isNeuerOrdner()) {
			view.setTitle(I18N.tr("Create New Folder"));
		} else {
			view.setTitle(I18N.tr("Edit Folder"));
		}

		final TabFolder folder = new TabFolder(getParent(), SWT.NONE);
		folder.setLayoutData(new GridData(GridData.FILL_BOTH));

		final TabGroup labelTab = new TabGroup(folder, I18N.tr("Folder Label"),
				false, 1);
		final GridLayout gridLayout = new GridLayout(1, false);
		labelTab.getComposite().setLayout(gridLayout);

		final TabGroup contentTab = new TabGroup(folder, I18N.tr("Register"));

		final ScrolledContainer scroll = new ScrolledContainer(
				labelTab.getComposite(), 1);

		final SimpleContainer registerSettings = new SimpleContainer(
				contentTab.getComposite());
		new SimpleContainer(contentTab.getComposite()); // Empty Container to
														// fill 2nd column
		final SimpleContainer registerTabelle = new SimpleContainer(
				contentTab.getComposite(), true);

		scroll.addPart(controller.getOrdnerRuecken());

		registerSettings.addHeadline(I18N.tr("Register"));
		if (!controller.getLinuxWarning().equals("")) {
			registerSettings.addText(controller.getLinuxWarning(), true,  Color.ERROR);
		}
		registerSettings.addPart(controller.getRegisterSettingsPart());
		registerTabelle.addPart(controller.getRegisterTabelle());

		final ButtonArea buttonArea1 = new ButtonArea();
		final List<ToolTipButton> registerBtns = controller
				.getRegisterButtons();
		for (final ToolTipButton button : registerBtns) {
			buttonArea1.addButton(button);
		}
		contentTab.addButtonArea(buttonArea1);

		scroll.update();

		final ButtonArea buttonArea2 = new ButtonArea();
		buttonArea2.addButton(controller.getPrintButton());
		buttonArea2.addButton(controller.getSaveButton());
		buttonArea2.addButton(controller.getCancelEditButton());
		buttonArea2.paint(getParent());

	}

	/**
	 * this method will be executed when exiting the view. You don't need to
	 * dispose your widgets, the GUI controller will do this in a recursive way
	 * for you.
	 * 
	 * @see de.willuhn.jameica.gui.AbstractView#unbind()
	 */
	public void unbind() throws ApplicationException {
		// We've nothing to do here ;)
	}

}
