package de.frankmuenster.jameica.orverw.gui.views;

import org.eclipse.swt.SWT;
import org.eclipse.swt.custom.CLabel;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Layout;

import de.frankmuenster.jameica.orverw.Settings;
import de.frankmuenster.jameica.orverw.gui.controller.OrdnerListViewController;
import de.willuhn.jameica.gui.AbstractView;
import de.willuhn.jameica.gui.GUI;
import de.willuhn.jameica.gui.View;
import de.willuhn.jameica.gui.parts.ButtonArea;
import de.willuhn.jameica.gui.util.ColumnLayout;
import de.willuhn.jameica.gui.util.Container;
import de.willuhn.jameica.gui.util.SWTUtil;
import de.willuhn.jameica.gui.util.SimpleContainer;
import de.willuhn.util.ApplicationException;
import de.willuhn.util.I18N;

/**
 * StartView von Ordner Verwaltung.
 * 
 * @author munstfr
 * @version 1.0
 */
public class OrdnerListView extends AbstractView {

	/**
	 * Unser &Uuml;bersetzer
	 */
	private final static I18N I18N = Settings.getI18n();

	/**
	 * Unser Standartkonstruktor
	 */
	@SuppressWarnings("PMD.UnnecessaryConstructor")
	public OrdnerListView() {
		super();
		// Intentionally left blank
	}

	/**
	 * this method will be invoked when starting the view.
	 * 
	 * @see de.willuhn.jameica.gui.AbstractView#bind()
	 */
	@Override
	@SuppressWarnings("PMD.SignatureDeclareThrowsException")
	public void bind() throws Exception {

		final View view = GUI.getView();
		final OrdnerListViewController controller = new OrdnerListViewController(
				this);

		view.setTitle(I18N.tr("Folder Manager"));

		final Container container = new SimpleContainer(getParent());

		// layout with 2 columns
		final ColumnLayout columns = new ColumnLayout(container.getComposite(),
				2);
		final Layout parentLayout = columns.getComposite().getLayout();
		if (parentLayout instanceof GridLayout) {
			((GridLayout) parentLayout).makeColumnsEqualWidth = false;
		}

		// left side
		final Container left = new SimpleContainer(columns.getComposite(), true);
		final ButtonArea buttonArea = new ButtonArea();
		
		buttonArea.addButton(controller.getNeuerOrdner());
		buttonArea.addButton(controller.getSettings());
		left.addPart(buttonArea);
		left.addPart(controller.getOrdnerTabelle());
		
		

		// right side
		final Container right = new SimpleContainer(columns.getComposite(),
				true, 1);
		final GridData gdRight = new GridData();
		gdRight.horizontalAlignment = SWT.CENTER;
		gdRight.widthHint = 180;
		right.getComposite().setLayoutData(gdRight);

		final CLabel imageLabel = new CLabel(right.getComposite(), SWT.NONE);
		imageLabel.setImage(SWTUtil.getImage("ordner_start_view.png"));
		imageLabel.setMargins(15, 10, 15, 10);

	}

	/**
	 * this method will be executed when exiting the view. You don't need to
	 * dispose your widgets, the GUI controller will do this in a recursive way
	 * for you.
	 * 
	 * @see de.willuhn.jameica.gui.AbstractView#unbind()
	 */
	public void unbind() throws ApplicationException {
		// We've nothing to do here ;)
	}

}
