package de.frankmuenster.jameica.orverw.parts;

import de.frankmuenster.jameica.orverw.Settings;

/**
 * Eine Aufz&auml;hlung aller verf&uuml;gbaren Ordner-Register.
 * 
 * @author munstfr
 * @version 1.0
 *
 */
public enum RegisterTypEnum {

	/**
	 *  Alle Zeichen von A-Z
	 */
	BUCHSTABEN_1("AZ-Typ1", new String[] { "A", "B", "C", "D", "E", "F", "G",
			"H", "I", "J", "K", "L", "M", "N", "O", "P", "Q", "R", "S", "T",
			"U", "V", "W", "X", "Y", "Z" }, "All chars from A-Z"),

	/**
	 * Liste mit 20 Indexen und den Buchstaben A,B,CD,E-H,IJ,K-M,NO,PQ,R-S,Sch,St,T-V,W,XZ
	 */
	BUCHSTABEN_2("AZ-Typ2", new String[] { "A", "B", "CD", "E", "F", "G",
			"H", "IJ", "K", "L", "M", "NO", "PQ", "R", "S", "Sch","St","T-V",
			"W", "X-Z" },
			"20 chars (A,B,CD,E-H,IJ,K-M,NO,PQ,R-S,Sch,St,T-V,W,XZ)"),

	/**
	 * Zahlen 1-5
	 */
	ZAHLEN_5("1-5", new String[] { "1", "2", "3", "4", "5" }, "Number 1-5"),

	/**
	 * Zahlen 1-10
	 */
	ZAHLEN_10("1-10", new String[] { "1", "2", "3", "4", "5", "6", "7", "8",
			"9", "10" }, "Number 1-10"),

	/**
	 * Zahlen 1-12
	 */
	ZAHLEN_12("1-12", new String[] { "1", "2", "3", "4", "5", "6", "7", "8",
			"9", "10", "11", "12" }, "Number 1-12"),

	/**
	 * Zahlen 1-15
	 */
	ZAHLEN_15("1-15", new String[] { "1", "2", "3", "4", "5", "6", "7", "8",
			"9", "10", "11", "12", "13", "14", "15" }, "Number 1-15"),

	/**
	 * Zahlen 1-20
	 */
	ZAHLEN_20("1-20", new String[] { "1", "2", "3", "4", "5", "6", "7", "8",
			"9", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19",
			"20" }, "Number 1-20");

	
	/**
	 * Die Beschreibung des Registertypes
	 */
	private String tooltip;
	
	/**
	 * Bezeichnung des Registertypes
	 */
	private String titel;
	
	/**
	 * Array mit den Werten des Registertypes
	 */
	private String[] index;

	private RegisterTypEnum(final String titel, final String[] index, final String tooltip) {
		this.titel = titel;
		this.index = index.clone();
		this.tooltip = Settings.getI18n().tr(tooltip);
	}

	/**
	 * @return den Titel
	 */
	public String getTitel() {
		return titel;
	}

	/**
	 * @return den Indexbereich als Array
	 */
	public String[] getIndex() {
		return index.clone();
	}

	/**
	 * @return einen Tooltiptext
	 */
	public String getTooltip() {
		return tooltip;
	}

}
