/*
* Copyright 2016 frankmuenster.de
*
* Lizenziert unter der EUPL, Version 1.1 oder - sobald
* diese von der Europischen Kommission genehmigt wurden -
* Folgeversionen der EUPL ("Lizenz");
* Sie drfen dieses Werk ausschlielich gem
* dieser Lizenz nutzen.
* Eine Kopie der Lizenz finden Sie hier:
*
*   http://ec.europa.eu/idabc/eupl
*
* Sofern nicht durch anwendbare Rechtsvorschriften
* gefordert oder in schriftlicher Form vereinbart, wird
* die unter der Lizenz verbreitete Software "so wie sie
* ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
* ausdrcklich oder stillschweigend - verbreitet.
* Die sprachspezifischen Genehmigungen und Beschrnkungen
* unter der Lizenz sind dem Lizenztext zu entnehmen.
*/ 
package de.frankmuenster.jameica.orverw.util;

/**
 * Utility KLasse zum Bereitstellen von TextManipulationen
 * 
 * @author munstfr
 * @version 1.0
 */
public final class TextUtils {
	
	private TextUtils() {
		// Utility class must be final and have a private constructor
	}
	
	/**
	 * Ersetzt Zeilenumbr&uuml;che durch <b>/</b>. 
	 * 
	 * @param text Den zu formatierenden Text.
	 * @param length Die maximale L&auml;nge des R&uuml;ckgabetextes.
	 * @return Den umformatierten Text.
	 */
	public static String format(final String text, final int length) {

		String result;

		result = text.replaceAll("\r\n", "\n").replaceAll("\\\n", " / ");

		if (result.startsWith(" / " )) {
			result = result.substring(3);
		}
		if (result.endsWith(" / " )) {
			result = result.substring(0,result.length() -3);
		}
		
		if (result.length() > length - 3) {
			result = result.substring(0, length - 3) + "...";
		}
		return result;

	}
}
